<p align="center">
  <img src="https://raw.githubusercontent.com/eriknovak/datachart/main/docs/assets/imgs/logo.png" alt="logo" height="200" style="height:200px">
</p>

<p align="center">
  <i>Data visualization package, simple to use, highly customizable</i>
</p>

<p align="center">
  <a href="https://github.com/eriknovak/datachart/actions/workflows/unittests.yaml" target="_blank"><img
    src="https://github.com/eriknovak/datachart/actions/workflows/unittests.yaml/badge.svg" alt="Test"
  /></a>
  <a href="https://pypi.org/project/datachart" target="_blank"><img
    src="https://img.shields.io/pypi/v/datachart?color=%2334D058" alt="Package Package Index"
  /></a>
  <a href="https://pypi.org/project/datachart" target="_blank"><img
    src="https://img.shields.io/pypi/pyversions/datachart.svg?color=%2334D058" alt="Supported Python Versions"
  /></a>
</p>


---

**Documentation:** [https://eriknovak.github.io/datachart](https://eriknovak.github.io/datachart)

**Source code:** [https://github.com/eriknovak/datachart](https://github.com/eriknovak/datachart)

---

The datachart package is a python package for creating data visualizations. It is designed to be simple to use and highly customizable, i.e. it is easy to change the look and feel of the charts.

## Requirements
Before starting the project make sure these requirements are available:

- [python]. The python programming language (v3.8 or higher).

## Install

```bash
pip install datachart
```

## Upgrade

```bash
pip install datachart --upgrade
```

## Examples

The examples showcases on how to use the `datachart` package are available
on the official [How-to Guides](https://eriknovak.github.io/datachart/how-to-guides/).

## Acknowledgements

[Datachart](https://eriknovak.github.io/datachart/) is developed by the
[Department for Artificial Intelligence](http://ailab.ijs.si/) at the
[Jozef Stefan Institute](http://www.ijs.si/), and other contributors.

<figure >
  <img src="https://github.com/eriknovak/datachart/blob/main/docs/assets/imgs/EU.png?raw=true" alt="European Union flag" width="80" />
</figure>

[python]: https://www.python.org/
